# createAlertDialogTemplate

inline fun Context . createAlertDialogTemplate (title: String ? = null, positivePair: Pair < String , AlertDialogCallback ?>? = null, neutralPair: Pair < String , AlertDialogCallback ?>? = null, negativePair: Pair < String , AlertDialogCallback ?>? = null): AlertDialog.Builder (source)

Creates an AlertDialog.Builder template with configurable title and buttons. This provides a simplified API for creating alert dialogs with positive, negative, and neutral buttons.

#### Return

An AlertDialog.Builder configured with the specified parameters

#### Parameters

title

Optional dialog title

positivePair

Optional positive button as a pair of (text, callback)

neutralPair

Optional neutral button as a pair of (text, callback)

negativePair

Optional negative button as a pair of (text, callback)